Cancel Invoice
curl --request POST \
--url https://api.jtl-cloud.com/erp/invoices/{invoiceId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"CancellationReasonId": 123,
"CancellationComment": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/invoices/{invoiceId}/cancel"
payload = {
"CancellationReasonId": 123,
"CancellationComment": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({CancellationReasonId: 123, CancellationComment: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/invoices/{invoiceId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}invoice
Cancel Invoice
deprecated
Cancel a specific sales invoice
POST
/
invoices
/
{invoiceId}
/
cancel
Cancel Invoice
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales invoice to cancel.
Body
application/json
The details for the cancellation to be performed.
Response
Was this page helpful?
⌘I